Package org.eclipse.net4j.util

# Enum Class ReflectUtil.PrimitiveType

java.lang.Object
java.lang.Enum<ReflectUtil.PrimitiveType>
org.eclipse.net4j.util.ReflectUtil.PrimitiveType

All Implemented Interfaces:
  `Serializable`, `Comparable<ReflectUtil.PrimitiveType>`, `java.lang.constant.Constable`

Enclosing class:
  `ReflectUtil`

public static enum ReflectUtil.PrimitiveType extends Enum<ReflectUtil.PrimitiveType>

Since:
  3.3
Author:
  Christian W. Damus (CEA)

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOLEAN`
`BYTE`
`CHAR`
`DOUBLE`
`FLOAT`
`INT`
`LONG`
`NONE`
`SHORT`
`VOID`

## Method Summary

Modifier and Type
Method
Description
`static ReflectUtil.PrimitiveType`
`forClass(Class<?> clazz)`
`Class<?>`
`type()`
`static ReflectUtil.PrimitiveType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReflectUtil.PrimitiveType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BOOLEAN

public static final ReflectUtil.PrimitiveType BOOLEAN

### BYTE

public static final ReflectUtil.PrimitiveType BYTE

### CHAR

public static final ReflectUtil.PrimitiveType CHAR

### SHORT

public static final ReflectUtil.PrimitiveType SHORT

### INT

public static final ReflectUtil.PrimitiveType INT

### LONG

public static final ReflectUtil.PrimitiveType LONG

### FLOAT

public static final ReflectUtil.PrimitiveType FLOAT

### DOUBLE

public static final ReflectUtil.PrimitiveType DOUBLE

### VOID

public static final ReflectUtil.PrimitiveType VOID

### NONE

public static final ReflectUtil.PrimitiveType NONE

## Method Details

### values

public static ReflectUtil.PrimitiveType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ReflectUtil.PrimitiveType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### type

public Class<?> type()

### forClass

public static ReflectUtil.PrimitiveType forClass(Class<?> clazz)

Since:
  3.14